<?php

namespace Treewec\HTML;

/**
 * Test class for Listing.
 * Generated by PHPUnit on 2012-03-25 at 16:39:19.
 * @group html
 */
class ListingTest extends \PHPUnit_Framework_TestCase {

    private $lists;

    protected function setUp() {
        $this->lists = array(
            'bullet' => new Listing(Listing::BULLET),
            'number' => new Listing(Listing::NUMBER),
            'default' => new Listing(array())
        );
    }

    public function testPrintListHeader() {        
        parent::assertEquals('<ul>', \Treewec\Output::getPrintedText($this->lists['bullet'], 'printListHeader'));
        parent::assertEquals('<ol>', \Treewec\Output::getPrintedText($this->lists['number'], 'printListHeader'));
        parent::assertEquals('<ul>', \Treewec\Output::getPrintedText($this->lists['default'], 'printListHeader'));
    }

    public function testPrintListFooter() {
        parent::assertEquals('</ul>', \Treewec\Output::getPrintedText($this->lists['bullet'], 'printListFooter'));
        parent::assertEquals('</ol>', \Treewec\Output::getPrintedText($this->lists['number'], 'printListFooter'));
        parent::assertEquals('</ul>', \Treewec\Output::getPrintedText($this->lists['default'], 'printListFooter'));
    }

    public function testPrintItemHeader() {
        foreach ($this->lists as $list) {
            parent::assertEquals('<li>', \Treewec\Output::getPrintedText($list, 'printItemHeader'));
        }
    }

    public function testPrintItemFooter() {
        foreach ($this->lists as $list) {
            parent::assertEquals('</li>', \Treewec\Output::getPrintedText($list, 'printItemFooter'));
        }
    }

}

?>
